#version 430 core

//https://learnopengl.com/PBR/Theory
//https://learnopengl.com/Advanced-Lighting/Normal-Mapping

in VertexData {
    vec3 position_world;
    vec3 normal_world;
    vec3 normal;
    vec2 uv;
} vert;

uniform vec3 cameraWorldPosition;
//brightness of material
uniform float brightness;

//lights:
uniform vec3 lightPositions[53];
uniform vec3 lightColors[53];

uniform float textureRotate;


//output Color:
out vec4 FragColor;

const float PI = 3.14159265359;

float stripes(vec2 uv, float size) {

  float color = 0.0f;
  float pos = uv.y * 2;
  color = floor(fract(pos + textureRotate) + 0.5 );
  return color;
}
void main()
{
    float stripe = stripes(vert.uv,1.0);
  	vec3 color = vec3(stripe*0.5f,0.0f,stripe*0.5f);
    if(vert.normal.x != 0.0f){
      color=vec3(0.0f);
    }
    FragColor = vec4(color, 1.0);
}
